<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/13/2006 *
 * ================                             Last change: 01/13/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_admin.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Configure administrator's menu                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Administratormenue einstellen                    *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok']))
{
	// Save configuration
	ADMIN_SAVE_SETTINGS($_POST);
}
 else
{
	// Prepare data for the template
	switch ($_CONFIG['admin_menu'])
	{
	case "NEW":
		define('__ADMIN_MENU_NEW', ' checked');
		define('__ADMIN_MENU_OLD'   , "");
		break;

	case "OLD":
		define('__ADMIN_MENU_NEW', "");
		define('__ADMIN_MENU_OLD'   , ' checked');
		break;
	}

	// Display form
	LOAD_TEMPLATE("admin_config_admin");
}

//
?>
